Package twisted :: Package runner :: Module inetd

[frames | no frames]

## Module twisted.runner.inetd

Twisted inetd.

Stability: semi-stable

Maintainer: Andrew Bennetts

Future Plans: Bugfixes. Specifically for UDP and Sun-RPC, which don't work correctly yet.

Classes
`InetdFactory` |
`InetdProtocol` | Forks a child process on connectionMade, passing the socket as fd 0.

Function Summary
| ``forkPassingFD`(exe, args, env, user, group, fdesc, childStderr)` Run exe as a child process, passing fdesc as fd 0.

Variable Summary
`dict` | `internalProtocols` = `{'discard': <class twisted.protocols...`
`dict` | `protocolDict` = `{'udp': 17, 'tcp': 6}`

Function Details

### forkPassingFD(exe, args, env, user, group, fdesc, childStderr=None)

Run exe as a child process, passing fdesc as fd 0.

This will also make sure that fdesc is removed from the parent's reactor.

If you have no stderr (e.g. you are running daemonised), pass a log file or some other valid file descriptor to childStderr, for errors to go to.

Variable Details

### internalProtocols

  Type:
    `dict`
  Value:

        {'chargen': <class twisted.protocols.wire.Chargen at 0x8ae7e7c>,
         'daytime': <class twisted.protocols.wire.Daytime at 0x8ae80e4>,
         'discard': <class twisted.protocols.wire.Discard at 0x8ae7e0c>,
         'echo': <class twisted.protocols.wire.Echo at 0x8ae7d9c>,
         'time': <class twisted.protocols.wire.Time at 0x845dac4>}

### protocolDict

  Type:
    `dict`
  Value:

        {'udp': 17, 'tcp': 6}

Generated by Epydoc 2.0 on Wed Feb 25 07:37:48 2004 | http://epydoc.sf.net